<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.core.sys.dao.FhzgDistMappingFileMapper">


    <select id="getMappingFileById" resultType="com.hdkj.lt.core.sys.model.dto.FhzgDistMappingFileDTO">
        SELECT
            mf.id id,
            mf.file_id fileId,
            mf.file_type fileType,
            mf.line_id lineId
        FROM
            fhzg_dist_mapping_file mf
        WHERE mf.line_id IN
        <foreach collection="idList" open="(" item="id" separator="," close=")">
            #{id}
        </foreach>

    </select>

</mapper>
